Bug 312039 - missing icon on picture button
Summary: missing icon on picture button
Status: RESOLVED FIXED
Alias: None
Product: kamoso
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.2
Platform: Fedora RPMs Linux
: NOR normal
Target Milestone: ---
Assignee: Alex Fiestas
URL: https://bugzilla.redhat.com/show_bug....
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-21 15:16 UTC by nucleo
Modified: 2012-12-22 02:36 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
kamoso with missing button icon (281.68 KB, image/png)
2012-12-21 15:17 UTC, nucleo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nucleo 2012-12-21 15:16:02 UTC
Kamoso uses webcamreceive icon from kopete, so it not shown if kopete not installed.

Reproducible: Always
Comment 1 nucleo 2012-12-21 15:17:35 UTC
Created attachment 75960 [details]
kamoso with missing button icon
Comment 2 Rex Dieter 2012-12-21 15:52:38 UTC
confirmed, i'll take the liberty of the taking the path of least resistance here, and patch to use (oxygen's) camera-web instead, even though that one isn't quite as pretty to me.
Comment 3 Rex Dieter 2012-12-21 15:55:31 UTC
Git commit a89b0042f5d7017f747c466679d63c29b9f3b01c by Rex Dieter.
Committed on 21/12/2012 at 16:51.
Pushed by rdieter into branch 'master'.

use camera-web icon instead of webcamreceive

webcamreceive is (only?) provided by kopete, so we can't assume it
is present at runtime, so use camera-web instead.

M  +1    -1    src/photoshootmode.cpp

http://commits.kde.org/kamoso/a89b0042f5d7017f747c466679d63c29b9f3b01c
Comment 4 Aleix Pol 2012-12-22 02:36:33 UTC
Hi Rex! You're totally right :) thanks